BasicBrowser/BasicBrowser/urls.py
from django.conf.urls import include
from django.contrib import admin
from django.conf import settings
from django.contrib.auth import views as auth_views
from scoping import views
import BasicBrowser.views as site_views
from django.urls import include, path
from django.views.defaults import page_not_found
from django.conf import settings
from django.urls import re_path
import scoping

# handler404 = scoping.views.handler404


if settings.MAINTENANCE:
    urlpatterns = [
        re_path(r'^', scoping.views.handler404, name="maintenance"),
    ]
else:
    urlpatterns = [
        path('nacsos-legacy/', include([
            # path('lotto/', include('lotto.urls')),
            path('admin/doc/', include('django.contrib.admindocs.urls')),
            # re_path(r'^', scoping.views.handler404, name="maintenance"),
            # path('404', page_not_found, {'exception': Exception()}),
            re_path(r'^tmv_app/', include('tmv_app.urls')),
            re_path(r'^scoping/', include('scoping.urls')),
            re_path(r'^parliament/', include('parliament.urls')),
            path('twitter/', include('twitter.urls')),
            path('lotto', include('lotto.urls')),
            path('signup', site_views.signup, name='signup'),
            re_path(r'^admin/', admin.site.urls),
            re_path(r'^$', site_views.index),
            # path('accounts/', include('django.contrib.auth.urls')),
            path('accounts/password_reset', auth_views.PasswordResetView.as_view(success_url="/"),
                 name="password_reset"),
            path('accounts/password_change', auth_views.PasswordChangeView.as_view(success_url="/scoping"),
                 name="password_change"),
            path('accounts/login/', auth_views.LoginView.as_view(success_url="/"),
                 {'template_name': 'scoping/login.html'}),
            re_path(r'^accounts/logout/$', views.logout_view, name='logout_view'),
        ]))
    ]

if settings.DEBUG:
    import debug_toolbar

    urlpatterns += [
        re_path(r'^__debug__/', include(debug_toolbar.urls)),
    ]

BasicBrowser/parliament/urls.py
from django.contrib.auth.decorators import login_required
from parliament import views
from django.urls import re_path
app_name = 'parliament'

urlpatterns = [

    # Homepage, Parliaments
    re_path(r'^$', views.index, name='index'),

    #Parliament pages
    re_path(r'^parliament/(?P<pid>[0-9]+)/$', views.parliament, name='parliament'),
    re_path(r'^parties/(?P<pid>[0-9]+)/$', views.parties, name='parties'),
    re_path(r'^persons/(?P<pid>[0-9]+)/$', views.persons, name='persons'),

    re_path(r'^session/(?P<pid>[0-9]+)/$', views.parlperiod, name='parlperiod'),

    re_path(r'^search/$', views.search, name='search'),
    re_path(r'^search-home/(?P<sid>[0-9]+)/$', views.search_home, name='search-home'),
    re_path(r'^search-list-results/(?P<sid>[0-9]+)/$', views.search_list_results, name='search-list-results'),

    re_path(r'^model-home/(?P<model_id>[0-9]+)/$', views.model_home, name='model-home'),

    re_path(r'^parl-topic/(?P<tid>[0-9]+)/$', views.parl_topic, name='parl-topic'),
    re_path(r'^parl-topic/(?P<tid>[0-9]+)/(?P<pid>[0-9]+)$', views.parl_topic, name='parl-topic-party'),

    re_path(r'^person/(?P<tid>[0-9]+)/$', views.person, name='person'),
    re_path(r'^party/(?P<tid>[0-9]+)/$', views.party, name='party'),

    re_path(r'^document/(?P<did>[0-9]+)/$', views.document, name='document'),
    re_path(r'^utterance/(?P<ut_id>[0-9]+)/$', views.utterance, name='utterance'),
    re_path(r'^paragraph/(?P<par_id>[0-9]+)/$', views.paragraph, name='paragraph'),

]

BasicBrowser/scoping/urls.py
from django.contrib.auth.decorators import login_required
from scoping import views
from django.urls import path, re_path

app_name = 'scoping'

urlpatterns = [


    # Homepage, projet management

    re_path(r'^$', views.index, name='index'),
    re_path(r'^project/(?P<pid>[0-9]+)/$', views.project, name='project'),



    # Query management


    #### Index pages / query set-up (user input)


    re_path(r'^queries/(?P<pid>[0-9]+)/$', views.queries, name='queries'),
    re_path(r'^query_table/(?P<pid>[0-9]+)/$', views.query_table, name='query_table'),

    path('generate_query/<int:pid>/<int:t>', views.generate_query,name="generate_query"),


    re_path(r'^docs/(?P<pid>[0-9]+)/(?P<qid>[0-9]+)$', views.doclist, name='doclist'),

    re_path(r'^create_query/(?P<pid>[0-9]+)$', views.create_query, name='create_query'),

    path('project/<int:pid>/query/add/', login_required(views.QueryCreate.as_view()),name="query_create"),
    path('duplicates/<int:pid>', views.manage_duplicates, name="manage_duplicates"),


    path('find_duplicates/<int:pid>', views.find_duplicates, name="find_duplicates"),
    path('doc_info/<int:did>/<int:did2>', views.doc_info, name="doc_info"),
    path('doc_merge/<int:pid>/<int:d1>/<int:d2>', views.doc_merge, name="doc_merge"),

    ### Paragraph stuff
    path('paragraphs/<int:qid>', views.par_manager, name="par_manager"),

    path('screen_par/<int:tid>/<int:ctype>/<int:doid>/<int:todo>/<int:done>/<int:last_doid>', views.screen_par, name="screen_par"),
    path('add_statement', views.add_statement, name="add_statement"),
    path('del_statement', views.del_statement, name="del_statement"),
    path('rate_par/<int:tid>/<int:ctype>/<int:doid>/<int:todo>/<int:done>', views.rate_par, name="rate_par"),

    ### twitter
    path('twitter-home/<int:pid>', views.twitter_home, name="twitter_home"),
    path('twitter-home/download_screened_tweets/<int:pid>', views.download_screened_tweets, name="download_screened_tweets"),


    ### Meta-analysis stuff
    path('meta-setup/<int:pid>', views.meta_setup, name="meta_setup"),
    path('meta-setup/assign_meta', views.assign_meta, name="assign_meta"),
    path('meta-setup/download_effects/<int:pid>', views.download_effects, name="download_effects"),
    path('meta-setup/report/<int:pid>', views.meta_report, name="meta_report"),
    path('code-document/<int:docmetaid>',views.code_document,name='code_document'),
    path('code-document/<int:docmetaid>/<int:reorder>',views.code_document,name='code_document'),
    path('exclude-document/<int:dmc>',views.ExcludeView.as_view(), name="exclude"),
    path('save-document-code/<int:docmetaid>/<int:dest>',views.save_document_code,name='save_document_code'),
    path('add-effect/<int:docmetaid>',views.add_effect,name='add_effect'),
    path('add-effect/<int:docmetaid>/<int:eff_copy>',views.add_effect,name='add_effect'),
    path('add-effect/<int:docmetaid>/<int:eff_copy>/<int:eff_edit>',views.add_effect,name='add_effect'),
    path('add-intervention/<int:effectid>',views.add_intervention,name='add_intervention'),
    path('add-intervention/<int:effectid>/<int:iid>',views.add_intervention,name='add_intervention'),
    path('add-intervention/<int:effectid>/<int:iid>/<int:i_edit>',views.add_intervention,name='add_intervention'),
    path('download-calculations/<int:id>', views.download_calculations, name="download_calculations"),


    path('db1-db2-report/<int:tagid>', views.db1_db2_report, name="db1_db2_report"),
    path('tag-comparison/<int:tagid>', views.tag_comparison, name="tag_comparison"),

    path('risk-of-bias/<int:dmcid>', login_required(views.RoBCreate.as_view()),name="rob_create"),
    path('edit-risk-of-bias/<int:dmcid>', login_required(views.RoBEdit.as_view()),name="rob_edit"),

    re_path(r'^snowball$', views.snowball, name='snowball'),
    #### Query processing
    re_path(r'^start_snowballing$', views.start_snowballing, name='start_snowballing'),
    re_path(r'^do_snowballing/(?P<qid>[0-9]+)/(?P<q2id>[0-9]+)$', views.do_snowballing, name='do_snowballing'),
    re_path(r'^dodocadd/(?P<qid>[0-9]+)$', views.dodocadd, name='dodocadd'),
    re_path(r'^querying/(?P<qid>[0-9]+)/(?P<substep>[0-9]+)/(?P<docadded>[0-9]+)/(?P<q2id>[0-9]+)$', views.querying, name='querying'),
    re_path(r'^querying/(?P<qid>[0-9]+)/(?P<substep>[0-9]+)/(?P<docadded>[0-9]+)/$', views.querying, name='querying'),
    re_path(r'^querying/(?P<qid>[0-9]+)/$', views.querying, name='querying'),
    re_path(r'^snowball_progress/(?P<sbs>[0-9]+)/$', views.snowball_progress, name='snowball_progress'),

    #### Manage Query
    re_path(r'^query/(?P<qid>[0-9]+)/$', views.query, name='query'),
    path('query_dev/<int:qid>/', views.query_dev, name='query_dev'),
    re_path(r'^query-tm-manager/(?P<qid>[0-9]+)/$', views.query_tm_manager, name='query_tm_manager'),
    re_path(r'^query-tm/(?P<qid>[0-9]+)/$', views.query_tm, name='query_tm'),
    re_path(r'^run_model-tm/(?P<run_id>[0-9]+)/$', views.run_model, name='run_model'),

    ### Topic model checking
    path('word_intrusion/<int:run_id>', views.word_intrusion, name="word_intrusion"),
    path('proc_word_intrusion/<int:wid>/<int:tid>', views.proc_word_intrusion, name="proc_word_intrusion"),

    path('topic_intrusion/<int:run_id>', views.topic_intrusion, name="topic_intrusion"),
    path('proc_topic_intrusion/<int:tid>/<int:top_id>', views.proc_topic_intrusion, name="proc_topic_intrusion"),

    #### Manage SBS
    re_path(r'^sbs_allocateDocsToUser/(?P<qid>[0-9]+)/(?P<q2id>[0-9]+)$', views.sbs_allocateDocsToUser, name='sbs_allocateDocsToUser'),
    re_path(r'^sbs_setAllQDocsToIrrelevant/(?P<qid>[0-9]+)/(?P<q2id>[0-9]+)/(?P<sbsid>[0-9]+)$', views.sbs_setAllQDocsToIrrelevant, name='sbs_setAllQDocsToIrrelevant'),
    re_path(r'^sbsKeepDoc/(?P<qid>[0-9]+)/(?P<did>.+)$', views.sbsKeepDoc, name='sbsKeepDoc'),
    re_path(r'^sbsExcludeDoc/(?P<qid>[0-9]+)/(?P<did>.+)$', views.sbsExcludeDoc, name='sbsExcludeDoc'),
    re_path(r'^delete_query/(?P<qid>[0-9]+)$', views.delete_query, name='delete'),
    re_path(r'^delete_sbs/(?P<sbsid>[0-9]+)$', views.delete_sbs, name='delete'),

    #### Others
    ## Cities
    re_path(r'^cities/(?P<qid>[0-9]+)$',views.cities, name='cities'),
    re_path(r'^city_data/(?P<qid>[0-9]+)$',views.city_data, name='city_data'),
    re_path(r'^city_docs/(?P<qid>[0-9]+)$',views.city_docs, name='city_docs'),

    re_path(r'^switchmode$', views.switch_mode, name='switch_mode'),

    re_path(r'^categories/(?P<pid>[0-9]+)',views.categories, name='categories'),
    path('filter_categories/<int:pid>/<int:level>', views.filter_categories, name="filter_categories"),
    re_path(r'^category/(?P<tid>[0-9]+)$',views.category, name='category'),
    re_path(r'^download_tdocs/(?P<tid>[0-9]+)$',views.download_tdocs, name='download_tdocs'),
    re_path(r'^authorlist/(?P<tid>[0-9]+)$',views.prepare_authorlist, name='authorlist'),
    re_path(r'^sendauthorlist/(?P<tid>[0-9]+)$',views.send_authorlist, name='send_authorlist'),

    re_path(r'^textplace-autocomplete/$',views.TextPlaceAutocomplete.as_view(create_field='name'),name="textplace-autocomplete"),
    path(r'textfree-autocomplete/',views.TextFreeAutocomplete.as_view(create_field='name'),name="textfree-autocomplete"),
    re_path(r'^country-autocomplete/$',views.CountryAutocomplete.as_view(create_field='name'),name="country-autocomplete"),

    path('duc_country', views.duc_country, name='duc_country'),
    path('duc_place', views.duc_place, name='duc_place'),
    path('duc_text', views.duc_text, name='duc_text'),
    path('duc_year', views.duc_year, name='duc_year'),
    path('duc_number', views.duc_number, name='duc_number'),

    re_path(r'^add_othercat',views.add_othercat, name='add_othercat'),
    re_path(r'^del_othercat',views.del_othercat, name='del_othercat'),

    re_path(r'^add_tech',views.add_tech, name='add_tech'),
    re_path(r'^async_add_tech',views.async_add_tech, name='async_add_tech'),
    path('update_tech/<int:tid>',views.update_tech, name='update_tech'),

    re_path(r'^user/(?P<pid>[0-9]+)$', views.userpage, name='userpage'),

    re_path(r'^update_criteria$', views.update_criteria, name='update_criteria'),

    re_path(r'^docs/(?P<qid>[0-9]+)/(?P<q2id>[0-9]+)/(?P<sbsid>[0-9]+)$', views.doclist, name='doclistsbs'),

    re_path(r'^docssbs/(?P<sbsid>[0-9]+)$', views.doclistsbs, name='doclistsbs'),
    re_path(r'^docrellist/(?P<sbsid>[0-9]+)/(?P<qid>[0-9]+)/(?P<q2id>[0-9]+)/(?P<q3id>[0-9]+)$', views.docrellist, name='docrellist'),
    re_path(r'^sort_docs$', views.sortdocs, name='sortdocs'),
    path('export-docs/<int:qid>/',views.export_ris_docs,name='export-docs'),

    re_path(r'^cycle_score$', views.cycle_score, name='cycle_score'),
    re_path(r'^activate_user$', views.activate_user, name='activate_user'),
    re_path(r'^assign_docs$', views.assign_docs, name='assign_docs'),
    re_path(r'^remove_assignments$', views.remove_assignments, name='remove_assignments'),


    #### Individual docs
    re_path(r'^screen/(?P<tid>[0-9]+)/(?P<ctype>[0-9]+)/(?P<d>[-0-9]+)$', views.screen, name='screen'),
    re_path(r'^do_review$', views.do_review, name='do_review'),
    re_path(r'^add_note', views.add_note, name='add_note'),

    path('screen_doc/<int:doid>', views.screen_doc_id, name='screen_doc_id'),
    path('screen_doc/<int:tid>/<int:ctype>/<int:pos>/<int:todo>', views.screen_doc, name='screen_doc'),
    path('screen_doc/<int:tid>/<int:ctype>/<int:pos>/<int:todo>/<int:js>', views.screen_doc, name='screen_doc'),

    path('rate_doc/<int:tid>/<int:ctype>/<int:doid>/<int:pos>/<int:todo>/<int:rel>', views.rate_doc, name='rate_doc'),
    path('cat_doc/', views.cat_doc, name='cat_doc'),

    # Nice function for updateing many things
    re_path(r'^update_thing',views.update_thing, name='update_thing'),


    re_path(r'^download/(?P<qid>[0-9]+)', views.download, name='download'),
    re_path(r'^download_pdf/(?P<id>[0-9]+)', views.download_pdf, name='download_pdf'),

BasicBrowser/tmv_app/urls.py
from django.conf.urls import include
from django.conf import settings
from django.conf.urls.static import static
from django.urls import path, re_path

from tmv_app.views import *
from django.contrib.auth.decorators import login_required

app_name = 'tmv_app'

urlpatterns = [
    re_path(r'^$', login_required(runs), name='index'),
    path('network/<int:run_id>', login_required(network), name='network'),
    path('network/<int:run_id>/<str:csvtype>', login_required(network), name='network'),
    re_path(r'^network_wg/(?P<run_id>\d+)$', login_required(network_wg), name='network_wg'),
    re_path(r'^network_wg/(?P<run_id>\d+)/(?P<t>\d+)/(?P<f>\d+)/(?P<top>.+)$', login_required(network_wg), name='network_wg'),
    re_path(r'^return_corrs$', login_required(return_corrs), name='return_corrs'),
    re_path(r'^growth/(?P<run_id>\d+)$', login_required(growth_heatmap), name='growth_heatmap'),
    re_path(r'^growth_json/(?P<run_id>\d+)/(?P<v>.+)/$', login_required(growth_json), name='growth_json'),

    # topic page and topic doc loader
    re_path(r'^topic/(?P<topic_id>\d+)/$', login_required(topic_detail), name="topic_detail"),
    re_path(r'^topic/(?P<topic_id>\d+)/(?P<run_id>\d+)/$', login_required(topic_detail), name="topic_detail"),
    re_path(r'^get_topic_docs/(?P<topic_id>\d+)/$', login_required(get_topic_docs), name="get_topic_docs"),
    path('get_topicterms/<int:topic_id>', login_required(get_topicterms), name="get_topicterms"),
    re_path(r'^multi_topic/$', login_required(multi_topic), name="multi_topic"),

    re_path(r'^highlight_dtm_w$', login_required(highlight_dtm_w), name="highlight_dtm_w"),
    re_path(r'^dynamic_topic/(?P<topic_id>\d+)/$', login_required(dynamic_topic_detail), name="dynamic_topic_detail"),

    re_path(r'^term/(?P<run_id>\d+)/(?P<term_id>\d+)/$', login_required(term_detail), name="term_detail"),
    re_path(r'^doc/random/(?P<run_id>\d+)$', login_required(doc_random), name="random_doc"),
    re_path(r'^doc/(?P<doc_id>.+)/(?P<run_id>\d+)$', login_required(doc_detail), name="doc_detail"),
    re_path(r'^author/(?P<author_name>.+)/(?P<run_id>\d+)$', login_required(author_detail), name="author_detail"),
    re_path(r'^institution/(?P<run_id>\d+)/(?P<institution_name>.+)/$', login_required(institution_detail)),
    # Home page
    re_path(r'^topic_presence/(?P<run_id>\d+)$', login_required(topic_presence_detail),name="topics"),

    re_path(r'^topics_time/(?P<run_id>\d+)/(?P<stype>\d+)$', login_required(topics_time),name="topics_time"),
    re_path(r'^topics_time_csv/(?P<run_id>\d+)/$', login_required(get_yt_csv),name="topics_time_csv"),
    re_path(r'^stats/(?P<run_id>\d+)$', login_required(stats), name="stats"),

    re_path(r'^runs$', login_required(runs), name='runs'),
    re_path(r'^runs/(?P<pid>\d+)/$', login_required(runs), name='runs'),

    re_path(r'^adjust_threshold/(?P<run_id>\d+)/(?P<what>.+)$', login_required(adjust_threshold), name='adjust_threshold'),

    re_path(r'^update/(?P<run_id>\d+)$', login_required(update_run), name='update'),
    re_path(r'^runs/delete/(?P<new_run_id>\d+)$', login_required(delete_run), name='delete_run'),

    re_path(r'^topic/random$', login_required(topic_random)),
    re_path(r'^term/random$', login_required(term_random)),
    re_path(r'^print_table/(?P<run_id>\d+)$', login_required(print_table), name="print_table"),

    re_path(r'^compare/(?P<a>\d+)/(?P<z>\d+)$', login_required(compare_runs), name="compare_runs")

    ]


    # Example:
    # (r'^BasicBrowser/', include('BasicBrowser.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # (r'^admin/', include(admin.site.urls)),



#onyl serve static content for development
#urlpatterns += static(settings.STATIC_URL,document_root='static')

BasicBrowser/tmv_app/templates/tmv_app/base.html
<html>
<head>
{% load static %}
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Topic Modelling App</title>
<link href="{% static 'tmv_app/css/styling.css' %}" rel="stylesheet" type="text/css">
<script src="{% static 'tmv_app/js/d3.v4.js' %}"></script>
<script src="{% static 'scoping/js/jquery-3.2.0.min.js' %}"></script>
<script src="{% static 'tmv_app/js/pie.js' %}"></script>
<script src="{% static 'tmv_app/js/d3-legend.js' %}"></script>

{% block head %} {% endblock %}

</head>
  <body>
{% block navbar %} {% endblock %}




{% block content %} {% endblock %}
</div>
</div>

</body>
{% block script %} {% endblock %}
</html>

BasicBrowser/tmv_app/templates/tmv_app/multi_topic_docs.html
<table class="light" id="doc_table">
<tr class="title">
  <td>time</td>
  <td>Title/Doc ID</td>
  <td>Topic Score</td>
</tr>
    {% if docs %}
      {% for doc in docs %}
          <tr id="{{ doc.title }}" class="list">
                {% if doc.doc__PY %}
                    <td>{{ doc.doc__PY }}</td>
                {% elif doc.ut__document__parlperiod__n %}
                    <td>{{ doc.ut__document__parlperiod__n }}</td>
                {% else %}
                    <td> None </td>
                {% endif %}

                {% if doc.doc__pk %}
                        <td><a href="{% url 'tmv_app:doc_detail' doc.doc__pk topic.run_id.pk %}">
                        {{ doc.doc__title }}</a></td>
                {% elif doc.ut__document__parlperiod__n %}
                        <td>
                        <a href="{% url 'parliament:utterance' doc.ut__pk %}">
                        {{ doc.ut__pk }}</a>
                        </td>
                {% else %}
                <td> None </td>
                {% endif %}

                <td>{{doc.topic_combination|floatformat:4}}</td>
            <tr>
      {% endfor %}
    {% endif %}
</table>

BasicBrowser/tmv_app/templates/tmv_app/nav_bar.html
<div id="navigation">

<table><tr>
    {% if run_id %}
    <td class="navtext">Run: {{run_id}}</td>
    <td class="navtext">Browse&nbsp;&#x25B8;</td>
    <td class="linked"><a href="/nacsos-legacy/tmv_app/topic_presence/{{run_id}}">Topics</a>
    <td class="linked"><a href="/nacsos-legacy/tmv_app/network/{{run_id}}">Network</a></td>
    <td class="linked"><a href="{% url 'tmv_app:network_wg' run_id %}">WG network</a></td>
    <td class="linked"><a href="{% url 'tmv_app:growth_heatmap' run_id %}">Growth Heatmap</a></td>
    <td class="linked"><a href="/nacsos-legacy/tmv_app/doc/random/{{run_id}}">Random Doc</a></td>
    <td class="linked"><a href="/nacsos-legacy/tmv_app/stats/{{run_id}}">Stats</a></td>
    {% if stat.query.project %}
    <td class="linked"><a href="{% url 'tmv_app:runs' stat.query.project.id %}">Manage</a>
    {% endif %}
    <td class="linked"><a href="/nacsos-legacy/accounts/logout">Logout</a></td>
    <td></td>
    <td></td>
    {% else %}
    <td class="navtext linked"><a href="{% url 'tmv_app:runs' %}">Home
      &nbsp;&#x25B8; Select a run to explore topic models</a></td>
    {% endif %}
</tr></table>
</div>

BasicBrowser/tmv_app/templates/tmv_app/nav_bar_bs.html
<nav class="navbar navbar-expand-lg navbar-light bg-white border">

    <a class="navbar-brand" href="#"></a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

     <div class="collapse navbar-collapse" id="navbarSupportedContent">
       <ul class="navbar-nav mr-auto">
       {% if project != 'parliament' %}
         <li class="nav-item active">
           <a class="nav-link" href="{% url 'scoping:index' %}">Projects <span class="sr-only">(Projects)</span></a>
         </li>
         {% if project %}
           <li class="nav-item">
             <a class="nav-link" href="{% url 'scoping:project' project.id %}">Home <span class="sr-only">(Home)</span></a>
           </li>
           <li class="nav-item">
             <a class="nav-link" href="{% url 'tmv_app:runs' project.id %}">Topic models</a>
           </li>
           <li class="nav-item">
             <a class="nav-link" href="{% url 'tmv_app:network' run_id %}">Network</a>
           </li>
           <li class="nav-item">
             <a class="nav-link" href="{% url 'tmv_app:network_wg' run_id %}">WG network</a>
           </li>
           <li class="nav-item">
             <a class="nav-link" href="{% url 'tmv_app:growth_heatmap' run_id %}">Growth heatmap</a>
           </li>
           <li class="nav-item">
             <a class="nav-link" href="{% url 'tmv_app:random_doc' run_id %}">Random doc</a>
           </li>
           <li class="nav-item">
             <a class="nav-link" href="{% url 'tmv_app:stats' run_id %}">Stats</a>
           </li>
           <li class="nav-item">
             <a class="nav-link" href="{% url 'scoping:userpage' project.id %}">{{user.username}}</a>
           </li>
         {% endif %}

         {# navigation bar for parliament project #}
         {% else %}
            {% if run_id %}
             <li class="nav-item">
               <a class="nav-link" href="{% url 'parliament:index' %}">Parliament Viewer<span class="sr-only">(Home)</span></a>
             </li>
             <li class="nav-item">
               <a class="nav-link" href="{% url 'parliament:search' %}">Searches <span class="sr-only">(Home)</span></a>
             </li>
             <li class="nav-item">
               <a class="nav-link" href="{% url 'tmv_app:topics' run_id %}">Topics</a>
             </li>
             <li class="nav-item">
               <a class="nav-link" href="{% url 'tmv_app:network' run_id %}">Network</a>
             </li>
             <li class="nav-item">
               <a class="nav-link" href="{% url 'tmv_app:stats' run_id %}">Stats</a>
             </li>
             <li class="nav-item">
               <a class="nav-link" href="{% url 'parliament:model-home' run_id %}">Topic party views</a>
             </li>
             <li class="nav-item">
               <a class="nav-link" href="/nacsos-legacy/accounts/logout">Logout</a>
             </li>
            {% else %}
            <td class="navtext linked"><a href="{% url 'tmv_app:runs' %}">Home
              &nbsp;&#x25B8; Select a run to explore topic models</a></td>
            {% endif %}

         <!-- <li class="nav-item">
           <a class="nav-link" href="#">Link</a>
         </li> -->
         {% endif %}
       </ul>
     </div>
</nav>

BasicBrowser/tmv_app/templates/tmv_app/topic_presence.html
{% extends "tmv_app/base_bs.html" %}
{% load bootstrap4 %}

{% block content %}
<div id="top"></div>
<div id="header">
<p>
<h1>Topic browser</h1>
<br>
<h2>Relative presence of topics in all documents</h2>
<h3>Run no. {{run_id}} with {{stat.get_method_display}} model on query
  {% if stat.query %}
    <a href="{% url 'scoping:query' stat.query.id %}">{{stat.query}}</a>
  {% elif stat.psearch %}
    <a href="{% url 'parliament:search-home' stat.psearch.id %}">{{stat.psearch}}</a>
  {% else %}
    None
  {% endif %}
<hr noshade>
</div>
<div id="graph">
{% if topic_tuples %}
    <table width="100%">
    {% for topic, topic_score, width in topic_tuples %}
    <tr><td><table width="{{ width|floatformat:2 }}%">
      <tr><td class="high-contrast" title="{{ topic_score|floatformat:0 }}" >
    </td></tr></table>
        {% if stat.method == "DT" %}
        <a href="{% url 'tmv_app:dynamic_topic_detail' topic.pk %}">{{ topic.title }}</a>
        {% else %}
        <a href="{% url 'tmv_app:topic_detail' topic.pk %}">{{ topic.title }}</a>
        {% endif %}
    </td></tr>
    {% endfor %}
    </table>
{% else %}

The status of this topic model is currently  [{{stat.get_status_display}}]

{% endif %}

</div>

<div id="footer">
<br>
<hr noshade>

<a href="{% url 'tmv_app:print_table' run_id %}">Download a table of these topics</a>

{% endblock %}